mui.plusReady(function() {

	var btn1 = document.getElementById("btn1");
	btn1.addEventListener("tap", function() {

		var phone = $.trim($("#phone").val());
		var password = $("#password").val();
		var password1 = $("#password1").val();
		var verif = $.trim($("#verificationcode").val());
//		var radio1 = $("input[type='radio']:checked").val();
		if(phone == "") {
			mui.toast("请输入手机号码");
			return false;
		} else if(phone.length!=11) {
			mui.toast("你输入手机号码不正确");
			return false;
		} else if(password == "") {
			mui.toast("请输入密码");
			return false;
		} else if(password.length < 6) {
			mui.toast("密码的长度不能小于6位");
			return false;
		} else if(password.length > 15) {
			mui.toast("密码的长度不能大于15位");
			return false;
		} else if(password1 == "") {
			mui.toast("请输入确认密码");
			return false;
		} else if(password != password1) {
			mui.toast("密码与确认密码不一致");
			return false;
		} else if(verif == "") {
			mui.toast("请输入验证码");
			return false;

		} else if($("#check").is(":checked") != true) {
			mui.toast("请同意云变现会员服务条款");
			return false;

		} else {
			document.activeElement.blur();
			$("#btn1").attr("disabled", true);
			plus.nativeUI.showWaiting("正在注册...");
			var pp = my_hex_md5(password);
			var postdata = {
				Name: phone,
				Password: pp,
				VerCode: verif,
				Gender: 0+"",

			}
			console.log("---" + JSON.stringify(postdata));
			var titledata = getReqdata("R00502", postdata);
			console.log("*****" + titledata);

			ajaxrequest("/MemberRegister", {
					reqdata: titledata
				},
				function(data) {
					console.log("---***---" + data);
					var json = JSON.parse(data);
					if(json.RespData.RespHead.Status == "200") {
						plus.nativeUI.closeWaiting();
						mui.alert("注册成功", function() {
							mui.back();
						});

					} else {
						$("#btn1").attr("disabled", false);
						plus.nativeUI.closeWaiting();
						mui.toast(json.RespData.RespHead.Message);
					}
				},
				function() {
					$("#btn1").attr("disabled", false);
					plus.nativeUI.closeWaiting();
					mui.toast('网络异常，请检查网络设置');
				})
		}
	})
})
var btn2 = document.getElementById("btn2");
btn2.addEventListener("tap", function() {

	var phone = $.trim($("#phone").val());
	if(phone == "") {
		mui.toast("请输入手机号码");
		return false;
	} else if(phone.length!=11) {
		mui.toast("你输入手机号码不正确");;
		return false;
	} else {
		var second = 60;
		var timer = null;
		timer = setInterval(function() {
			second -= 1;
			if(second > 0) {
				$('#btn2').text("重新发送(" + second + ")");
				$("#btn2").attr("disabled", true);
				$("#btn2").css("border", "1px solid #949494");
				$("#btn2").css("background-color", "#949494");
			} else {
				clearInterval(timer);
				$('#btn2').text("获取验证码");
				$("#btn2").attr("disabled", false);
				$("#btn2").css("border", "1px solid #f7b61e");
				$("#btn2").css("background-color", "#f7b61e");

			}
		}, 1000);
		var postdata = {
			phone: phone,
			codetype: 6
		}
		console.log("---" + JSON.stringify(postdata));
		var titledata = getReqdata("R00007", postdata);
		console.log("*****" + titledata);

		ajaxrequest("/GetSMS ", {
				reqdata: titledata
			},
			function(data) {
				console.log("---***---" + data);
				var json = JSON.parse(data);
				if(json.RespData.RespHead.Status == "200") {

					mui.toast("发送成功");

				} else {
					mui.toast(json.RespData.RespHead.Message);
				}
			},
			function() {
				$("#btn2").attr("disabled", false);
				mui.alert('网络异常，请检查网络设置');
			})
	}
})

$("#terms").on("tap", function() {
	mui.openWindow({
		url: "mainterms.html",
		id: "mainterms",
		styles: {
			bounce: "vertical",
			bounceBackground: "#ffffff",
			softinputMode: "adjustResize",
			titleNView: {
				autoBackButton: true,
				backgroundColor: "#17161b",
				titleText: "用户须知",
				titleColor: "#FFFFFF"
			}
		},
		show: {
			duration:400
		},
		waiting: {
			autoShow: false
		}
	})
})