function loadimg(imgObj_id, src, callback) {
	var imgDom = (typeof imgObj_id == "object") ? imgObj_id : document.getElementById(imgObj_id);
	if(imgDom) {
		var temp = new Image();
		temp.onload = function() {
			imgDom.onload = null;
			if(callback) {
				callback(imgDom, src)
			} else {
				imgDom.src = temp.src;
				inOpacity(imgDom);
			}
		};
		temp.src = src || imgDom.getAttribute("data-src")
	}
}

function inOpacity(imgObj_id) {
	var imgDom = (typeof imgObj_id == "object") ? imgObj_id : document.getElementById(imgObj_id);
	imgDom.classList.add("anim_opacity")
}
function copyText(g, e) {
	if(mui.os.android) {
		var c = plus.android.importClass("android.content.Context");
		var a = plus.android.runtimeMainActivity();
		var d = a.getSystemService(c.CLIPBOARD_SERVICE);
		plus.android.invoke(d, "setText", g)
	} else {
		if(mui.os.ios) {
			var b = plus.ios.importClass("UIPasteboard");
			var f = b.generalPasteboard();
			f.plusCallMethod({
				setValue: g,
				forPasteboardType: "public.utf8-plain-text"
			});
			f.plusCallMethod({
				valueForPasteboardType: "public.utf8-plain-text"
			})
		}
	}
	hint(e || "复制成功")
}
//function setBarColor(c, b) {
//	var a = plus.webview.currentWebview();
//	if(c) {
//		plus.navigator.setStatusBarStyle("UIStatusBarStyleBlackOpaque");
//	} else {
//		plus.navigator.setStatusBarStyle("UIStatusBarStyleDefault")
//	}
//	if(b != false) {
//		a.setStyle({
//			popGesture: "none"
//		});
//		a.addEventListener("close", function() {
//			if(c) {
//				plus.navigator.setStatusBarStyle("UIStatusBarStyleDefault")
//			} else {
//				plus.navigator.setStatusBarStyle("UIStatusBarStyleBlackOpaque")
//			}
//		})
//	}
//}
